USE COWS
GO

CREATE TABLE [dbo].[CNTCT_DETL](
	[ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[OBJ_ID] [INT] NOT NULL,
	[OBJ_TYP_CD] CHAR(1) NOT NULL,--E,R,C
	[HIER_LVL_CD] CHAR(2) NOT NULL,--H1,H2,H4,H6
	[HIER_ID] CHAR(9) NOT NULL,
	[ROLE_ID] TINYINT NOT NULL,
	[EMAIL_ADR] VARCHAR(200) NOT NULL,
	[PHN_NBR] VARCHAR(200) NULL,
	[AUTO_RFRSH_CD] BIT NOT NULL CONSTRAINT [DF_AUTORFRSHCD_CNTCT_DETL_1] DEFAULT ((1)), --1: By default refresh this contact details from Mach5 based on Role_CD, Hier_lvl_cd and HIER_ID; For MNS contacts, get the details from ODIE
	[EMAIL_CD] VARCHAR(100) NULL, --NULL : Copy on all Emails(based on workflow), |3|4|6| : Copy on Rework, Published(this is just example), |0| : Dont copy this contact
	[REC_STUS_ID] [smallint] NOT NULL CONSTRAINT [DF_RECSTUSID_CNTCT_DETL_1] DEFAULT ((1)), 
	[CREAT_BY_USER_ID] [int] NOT NULL,
	[MODFD_BY_USER_ID] [int] NULL,
	[CREAT_DT] [datetime] NOT NULL CONSTRAINT [DF_getdate_CNTCT_DETL_1] DEFAULT  getdate(),
	[MODFD_DT] [datetime] NULL,
 CONSTRAINT [PK_CNTCT_DETL] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]) ON [PRIMARY]
GO


ALTER TABLE [dbo].[CNTCT_DETL]  WITH CHECK ADD  CONSTRAINT [FK01_CNTCT_DETL] FOREIGN KEY([ROLE_ID])
REFERENCES [dbo].[LK_ROLE] ([ROLE_ID])
GO

ALTER TABLE [dbo].[CNTCT_DETL] CHECK CONSTRAINT [FK01_CNTCT_DETL]
GO

ALTER TABLE [dbo].[CNTCT_DETL]  WITH NOCHECK ADD  CONSTRAINT [FK02_CNTCT_DETL] FOREIGN KEY([REC_STUS_ID])
REFERENCES [dbo].[LK_STUS] ([STUS_ID])
GO

ALTER TABLE [dbo].[CNTCT_DETL] CHECK CONSTRAINT [FK02_CNTCT_DETL]
GO

ALTER TABLE [dbo].[CNTCT_DETL]  WITH NOCHECK ADD  CONSTRAINT [FK03_CNTCT_DETL] FOREIGN KEY([MODFD_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[CNTCT_DETL] CHECK CONSTRAINT [FK03_CNTCT_DETL]
GO

ALTER TABLE [dbo].[CNTCT_DETL]  WITH NOCHECK ADD  CONSTRAINT [FK04_CNTCT_DETL] FOREIGN KEY([CREAT_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[CNTCT_DETL] CHECK CONSTRAINT [FK04_CNTCT_DETL]
GO

CREATE NONCLUSTERED INDEX [IX01_CNTCT_DETL] ON [dbo].[CNTCT_DETL]
(
	[OBJ_ID], [OBJ_TYP_CD]
)
WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, SORT_IN_TEMPDB = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
GO

ALTER TABLE [dbo].[MDS_EVENT]
ADD [CNTCT_EMAIL_LIST] VARCHAR(2000) NULL
GO

ALTER TABLE [dbo].[REDSGN]
ADD [CNTCT_EMAIL_LIST] VARCHAR(2000) NULL
GO

ALTER TABLE [dbo].CPT_RLTD_INFO
ADD [CNTCT_EMAIL_LIST] VARCHAR(2000) NULL
GO